gdata.tlslite.BaseDB | index /usr/local/lib/python2.6/dist-packages/gdata/tlslite/BaseDB.py

`Base class for SharedKeyDB and VerifierDB.`

Modules

``

anydbm | thread |  |

Classes

``

BaseDB

class BaseDB

``

Methods defined here:

__contains__(self, username)
  `Check if the database contains the specified username.
  @type username: str
  @param username: The username to check for.
  @rtype: bool
  @return: True if the database contains the username, False
  otherwise.`

__delitem__(self, username)

__getitem__(self, username)

__init__(self, filename, type)

__setitem__(self, username, value)

check(self, username, param)

create(self)
  `Create a new on-disk database.
  @raise anydbm.error: If there's a problem creating the database.`

keys(self)
  `Return a list of usernames in the database.
  @rtype: list
  @return: The usernames in the database.`

open(self)
  `Open a pre-existing on-disk database.
  @raise anydbm.error: If there's a problem opening the database.
  @raise ValueError: If the database is not of the right type.`